Don't apply style when dialog is canceled

2014-06-11 03:40 PM - Mehmet Selim BILGIN

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 18957

Description

After adding a style file (*.qgs) to a layer (vector or raster) clicking the cancel button instead of OK button this bug occurs. It applies the

style to layer, but the layer legend does not change. Here is sample video

Also I noticed that the layer opacity never changes by loading new style file. For example I saved a (.qgs) style file with 40% opacity. After

that i changed layer color style and opacity to %60. Now loading my first (.qgs) style file but layer opacity doesn't change (it must be %40)

Related issues:

Duplicates QGIS Application - Bug report # 7998: Loading of .qml style can no... Closed 2013-06-04

Duplicates QGIS Application - Bug report # 3761: "Cancel" button in Symbol pr... Closed

History

#1 - 2014-06-12 03:43 AM - Giovanni Manghi

- Subject changed from Style file (*.qgs) loading bug to Style file (*.qml) loading bug

style files are .qml

#2 - 2014-06-12 03:47 AM - Nathan Woodrow

- Status changed from Open to Closed

- Resolution set to invalid

Pressing the X is equal to cancel. You still have to press OK or Apply to apply the style.

Closing as invalid because that is how it is meant to work.

#3 - 2014-06-12 10:38 AM - Mehmet Selim BILGIN

- Assignee set to Nathan Woodrow

- Status changed from Closed to Reopened

1- Problem

By using Cancel button or X(Exit) button are same but the problem is that of course. Normally in other GIS desktop softwares like Udig, ArcGIS etc... users

load style to a layer. And than users click Apply-OK button to apply changes. If not  layer style wont change. But in QGIS when users load a style it

automatically applies, it doesnt ask anything to user. And clicking Cancel button or X(Exit) button +do not recover style to back.

1- Suggestion
http://youtu.be/A-yDGd7AOP4


In my opinion; 

A. Case: user loads a qml file. And than he changes a little bit and than click Apply-OK button for applying all changes.

B. Case: user loads a qml file. He doesnt like color class (by looking color table, still not clicked Apply button). So he clicks Cancel button for canceling the

style.

2- Problem.

Layer opacity doesnt change by loading qml file. It is fixed (interestingly), only changed by hand. It must read opacity level from qml file (Also it reads

opacicity level but i dont know why it doesnt apply).

#4 - 2014-06-12 10:40 AM - Giovanni Manghi

2- Problem.

Layer opacity doesnt change by loading qml file. It is fixed (interestingly), only changed by hand. It must read opacity level from qml file (Also it reads

opacicity level but i dont know why it doesnt apply).

this has been reported in a separate ticket.

#5 - 2014-06-13 04:20 AM - Nathan Woodrow

- Subject changed from Style file (*.qml) loading bug to Don't apply style on close of dialog

#6 - 2014-06-13 04:34 AM - Nathan Woodrow

- Assignee deleted (Nathan Woodrow)

Yes your right. Sorry I must have missed it in the video, not sure how.

However I'm not going to have time to fix this at the moment.

#7 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#8 - 2014-10-26 08:55 AM - Jürgen Fischer

- Subject changed from Don't apply style on close of dialog to Don't apply style when dialog is canceled

#9 - 2015-08-21 12:03 PM - Anita Graser

- Status changed from Reopened to Closed

With the redesign of the style dialog, I think this is not an issue anymore. Please reopen if necessary.
